# $Revision: 1.22 $, $Date: 2008-02-14 16:27:26 $
Summary:	XP - an XML Parser in Java
Summary(pl.UTF-8):	XP - analizator składniowy XML-a napisany w Javie
Name:		xp
Version:	0.5
Release:	4
Epoch:		1
Vendor:		James Clark
License:	Free
Group:		Applications/Publishing/XML/Java
Source0:	ftp://ftp.jclark.com/pub/xml/%{name}.zip
# Source0-md5:	e4a2371d5bad54eefa7287ebc62e2f1a
Patch0:		%{name}-latin2.patch
URL:		http://www.jclark.com/xml/
BuildRequires:	jar
BuildRequires:	jikes
BuildRequires:	sax
BuildRequires:	unzip
Requires:	jre
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%define		_javaclassdir	%{_datadir}/java
%define 	_jredir %{java_home}/jre
# _javaclasspath exported in build as $CLASSPATH by rpm
%define		_javaclasspath %{_jredir}/lib/rt.jar:%{_javaclassdir}/sax.jar:.

%description
XP - an XML Parser in Java.

%description -l pl.UTF-8
XP - analizator składniowy XML-a napisany w Javie.

%prep
%setup -q -c -T
unzip -qa %{SOURCE0}
chmod -R a+rX *
%patch0 -p1

%build
rm -f %{name}.jar
find com -name "*.java"  | xargs jikes -depend
find com -name "*.class" | xargs jar -c0f %{name}.jar

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javaclassdir}

install %{name}.jar $RPM_BUILD_ROOT%{_javaclassdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs
%{_javaclassdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xp.spec,v $
Revision 1.22  2008-02-14 16:27:26  hawk
- fixed javaclassdir path

Revision 1.21  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2006/10/23 21:36:58  sls
- fixed jre directory

Revision 1.18  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.17  2005/09/04 20:51:47  glen
- _javaclasspath is exported as $CLASSPATH, use it

Revision 1.16  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.15  2003/05/28 13:03:11  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:28:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/10/14 21:06:06  juandon
- added jikes to BR
- Release 3

Revision 1.12  2002/03/07 06:39:07  kloczek
- Epoch: 1.

Revision 1.11  2002/03/07 06:38:15  kloczek
- reelase 2: fix bashizm in %build.

Revision 1.10  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/15 19:38:26  bonkey
- Group changed to Applications/Publishing/XML/Java

Revision 1.6  2001/09/15 10:12:07  bonkey
- change Requires: java to jre

Revision 1.5  2001/08/22 17:31:43  filon
- added Requires: java
- changed BuildRequires:/usr/bin/jar -> jar

Revision 1.4  2001/02/16 11:18:03  klakier
- build requires jar

Revision 1.3  2001/02/10 14:42:40  klakier
- version changed to 0.5
- added latin2.patch (nasty hack to force xp to accept encoding="iso-8859-2")

Revision 1.2  2000/09/30 20:36:41  kloczek
- adapterized,
- added unzip to BuildRequires,
- cosmetics.

Revision 1.1  2000/09/30 20:33:00  klakier
- finished (untested)
